org.eclipse.gef4.dot.internal.dot

## Class ZestGraphImport

- java.lang.Object
- - org.eclipse.gef4.dot.internal.dot.ZestGraphImport

    public final class ZestGraphImport
    extends java.lang.Object

Imports the content of a Zest graph generated from DOT into an existing Zest graph.

### Constructor Summary

Constructors
Constructor and Description
`ZestGraphImport(org.eclipse.gef4.graph.Graph sourceGraph)`

### Method Summary

Methods
`void` `into(org.eclipse.gef4.graph.Graph.Builder targetGraph)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZestGraphImport

    public ZestGraphImport(org.eclipse.gef4.graph.Graph sourceGraph)

Parameters:
  `sourceGraph` - The Zest source graph to import into another graph. Note that this will only support a subset of the graph attributes, as it is used for import of Zest graphs created from DOT input.

### Method Detail

#### into

    public void into(org.eclipse.gef4.graph.Graph.Builder targetGraph)

Parameters:
  `targetGraph` - The graph to add content to